Package com.arms.api.wiki.controller

## Class WikiController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<WikiService,​WikiDTO,​WikiEntity>
  - - com.arms.api.wiki.controller.WikiController

-     @RestController
      @RequestMapping("/arms/wiki")
      public class WikiController
      extends TreeAbstractController<WikiService,​WikiDTO,​WikiEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WikiController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.web.servlet.ModelAndView` | `addNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.web.servlet.ModelAndView` | `alterNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.web.servlet.ModelAndView` | `alterNodeType​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.web.servlet.ModelAndView` | `changeRecent​(WikiContentsDTO wikiContentsDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getChildNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getMonitor​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getNodesWithoutRoot​(java.lang.String changeReqTableName, WikiDTO wikiDTO)` |
    `org.springframework.web.servlet.ModelAndView` | `getPaginatedChildNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getWiki​(java.lang.String wikiId, java.lang.Long version, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getWiki​(java.lang.String wikiId, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getWikiVersions​(java.lang.String wikiId, int size, int page, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `imageUpload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)` |
    `org.springframework.web.servlet.ModelAndView` | `moveNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `removeNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.web.servlet.ModelAndView` | `searchNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `updateNode​(java.lang.String changeReqTableName, WikiDTO wikiDTO, org.springframework.validation.BindingResult bindingResult, javax.servlet.http.HttpServletRequest request, org.springframework.ui.ModelMap model)` |
    `org.springframework.web.servlet.ModelAndView` | `updateWiki​(WikiContentsDTO wikiContentsDTO, javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WikiController

          public WikiController()

  - ### Method Detail

    - #### getNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getNode​(@PathVariable("changeReqTableName")
                                                                      java.lang.String changeReqTableName,
                                                                      WikiDTO wikiDTO,
                                                                      javax.servlet.http.HttpServletRequest request)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getWiki

          @ResponseBody
          @RequestMapping(value="/{wikiId}/getWiki.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getWiki​(@PathVariable("wikiId")
                                                                      java.lang.String wikiId,
                                                                      javax.servlet.http.HttpServletRequest request)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getWiki

          @ResponseBody
          @RequestMapping(value="/{wikiId}/{version}/getWiki.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getWiki​(@PathVariable("wikiId")
                                                                      java.lang.String wikiId,
                                                                      @PathVariable("version")
                                                                      java.lang.Long version,
                                                                      javax.servlet.http.HttpServletRequest request)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getWikiVersions

          @ResponseBody
          @GetMapping("/{wikiId}/getWikiVersions.do")
          public org.springframework.web.servlet.ModelAndView getWikiVersions​(@PathVariable("wikiId")
                                                                              java.lang.String wikiId,
                                                                              @RequestParam("size")
                                                                              int size,
                                                                              @RequestParam("page")
                                                                              int page,
                                                                              javax.servlet.http.HttpServletRequest request)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getChildNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getChildNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getChildNode​(@PathVariable("changeReqTableName")
                                                                           java.lang.String changeReqTableName,
                                                                           WikiDTO wikiDTO,
                                                                           javax.servlet.http.HttpServletRequest request)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodesWithoutRoot

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getNodesWithoutRoot.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getNodesWithoutRoot​(@PathVariable("changeReqTableName")
                                                                                  java.lang.String changeReqTableName,
                                                                                  WikiDTO wikiDTO)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaginatedChildNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getPaginatedChildNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getPaginatedChildNode​(@PathVariable("changeReqTableName")
                                                                                    java.lang.String changeReqTableName,
                                                                                    WikiDTO wikiDTO,
                                                                                    org.springframework.ui.ModelMap model,
                                                                                    javax.servlet.http.HttpServletRequest request)
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### searchNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/searchNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView searchNode​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         WikiDTO wikiDTO,
                                                                         org.springframework.ui.ModelMap model,
                                                                         javax.servlet.http.HttpServletRequest request)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/addNode.do",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView addNode​(@PathVariable("changeReqTableName")
                                                                      java.lang.String changeReqTableName,
                                                                      @Validated(AddNode.class)
                                                                      WikiDTO wikiDTO,
                                                                      org.springframework.validation.BindingResult bindingResult,
                                                                      org.springframework.ui.ModelMap model)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/removeNode.do",
                          method=DELETE)
          public org.springframework.web.servlet.ModelAndView removeNode​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         @Validated(RemoveNode.class)
                                                                         WikiDTO wikiDTO,
                                                                         org.springframework.validation.BindingResult bindingResult,
                                                                         org.springframework.ui.ModelMap model)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateNode.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView updateNode​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         @Validated(UpdateNode.class)
                                                                         WikiDTO wikiDTO,
                                                                         org.springframework.validation.BindingResult bindingResult,
                                                                         javax.servlet.http.HttpServletRequest request,
                                                                         org.springframework.ui.ModelMap model)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateWiki

          @ResponseBody
          @RequestMapping(value="/updateWiki.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView updateWiki​(@RequestBody
                                                                         WikiContentsDTO wikiContentsDTO,
                                                                         javax.servlet.http.HttpServletRequest request)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### changeRecent

          @ResponseBody
          @RequestMapping(value="/changeRecent.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView changeRecent​(@RequestBody
                                                                           WikiContentsDTO wikiContentsDTO,
                                                                           javax.servlet.http.HttpServletRequest request)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### alterNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/alterNode.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView alterNode​(@PathVariable("changeReqTableName")
                                                                        java.lang.String changeReqTableName,
                                                                        @Validated(AlterNode.class)
                                                                        WikiDTO wikiDTO,
                                                                        org.springframework.validation.BindingResult bindingResult,
                                                                        org.springframework.ui.ModelMap model)
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### alterNodeType

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/alterNodeType.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView alterNodeType​(@PathVariable("changeReqTableName")
                                                                            java.lang.String changeReqTableName,
                                                                            @Validated(AlterNodeType.class)
                                                                            WikiDTO wikiDTO,
                                                                            org.springframework.validation.BindingResult bindingResult,
                                                                            org.springframework.ui.ModelMap model)
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### moveNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/moveNode.do",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView moveNode​(@PathVariable("changeReqTableName")
                                                                       java.lang.String changeReqTableName,
                                                                       @Validated(MoveNode.class)
                                                                       WikiDTO wikiDTO,
                                                                       org.springframework.validation.BindingResult bindingResult,
                                                                       org.springframework.ui.ModelMap model,
                                                                       javax.servlet.http.HttpServletRequest request)
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getMonitor

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getMonitor.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getMonitor​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         WikiDTO wikiDTO,
                                                                         org.springframework.ui.ModelMap model,
                                                                         javax.servlet.http.HttpServletRequest request)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### imageUpload

          @ResponseBody
          @RequestMapping(value="/imageUpload.do",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView imageUpload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)